[Admin] Create a webhook for a customer
curl --request POST \
--url https://apis.cativalab.digital/tenant/api/v2/admin/integration/{id}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventName": "<string>",
"url": "<string>",
"isActive": true,
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": "<string>",
"conditionGroups": [
{
"order": 123,
"conditions": [
{
"value": "<string>",
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123
}
]
}
],
"name": "<string>"
}
'import requests
url = "https://apis.cativalab.digital/tenant/api/v2/admin/integration/{id}/webhooks"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventName": "<string>",
"url": "<string>",
"isActive": True,
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": "<string>",
"conditionGroups": [
{
"order": 123,
"conditions": [
{
"value": "<string>",
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123
}
]
}
],
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
eventName: '<string>',
url: '<string>',
isActive: true,
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
params: '<string>',
conditionGroups: [
{
order: 123,
conditions: [
{
value: '<string>',
referenceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
order: 123
}
]
}
],
name: '<string>'
})
};
fetch('https://apis.cativalab.digital/tenant/api/v2/admin/integration/{id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
[Admin] Create a webhook for a customer
POST
/
api
/
v2
/
admin
/
integration
/
{id}
/
webhooks
[Admin] Create a webhook for a customer
Authorizations
Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .
Path Parameters
Body
application/json
Response
200
OK
⌘I
